Verify Meta webhook
Meta webhook verification handshake. Returns hub.challenge on success.
curl -X GET "https://api.talkturo.com/api/flow/integrations/webhooks/meta?hub.mode=example_string&hub.verify_token=example_string&hub.challenge=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/api/flow/integrations/webhooks/meta?hub.mode=example_string&hub.verify_token=example_string&hub.challenge=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/flow/integrations/webhooks/meta?hub.mode=example_string&hub.verify_token=example_string&hub.challenge=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/api/flow/integrations/webhooks/meta?hub.mode=example_string&hub.verify_token=example_string&hub.challenge=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/flow/integrations/webhooks/meta?hub.mode=example_string&hub.verify_token=example_string&hub.challenge=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
GET
/flow/integrations/webhooks/meta
GET
Base URLstring
Target server for requests. Edit to use your own host.
Request Preview
Response
Response will appear here after sending the request
Query Parameters
Responses
Verification challenge echoed
Was this page helpful?